# -*- coding=utf-8 -*-
"""
删除过期的文件资源
"""
import os
import datetime
from time import sleep


def del_file(folder_path,expired_days=10):
    """
    删除文件夹内过时的文件
    folder_path： 需要删除过期文件的文件夹
    expired_days： 过期天数
    """

    if not os.path.exists(folder_path):
        print("文件夹不存在")
        return None

   
    now = datetime.datetime.now()

   
    for filename in os.listdir(folder_path):
        file_path = os.path.join(folder_path, filename)
       
        if os.path.isfile(file_path):
           
            create_time = os.path.getctime(file_path)
            create_date = datetime.datetime.fromtimestamp(create_time)
           
            delta = now - create_date
           
            if delta.days > expired_days:
                os.remove(file_path)
               


def run_del_normal():
    """这是小程序项目内的正常删除机制"""
    while True:
        del_file("make_docx_demo/file_result",expired_days=15)
        sleep(3600*24)


if __name__ == '__main__':
    run_del_normal()